Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet.jetty
Class WebAppDeployer

    java.lang.Object
      org.mortbay.component.AbstractLifeCycle
          org.mule.transport.servlet.jetty.WebAppDeployer

All Implemented Interfaces:
  org.mortbay.component.LifeCycle

    public class WebAppDeployer

extends org.mortbay.component.AbstractLifeCycle

A repackaged version of the Jetty WebAppDeployer which makes it possible to override the server classes of the WebAppContext;

Nested Class Summary

Nested classes/interfaces inherited from interface org.mortbay.component.LifeCycle
`org.mortbay.component.LifeCycle.Listener`

Field Summary

Fields inherited from class org.mortbay.component.AbstractLifeCycle
`_listeners`

Constructor Summary
`WebAppDeployer()`

Method Summary
`void` | `doStart()`
`void` | `doStop()`
`boolean` | `getAllowDuplicates()`
`String[]` | `getConfigurationClasses()`
`org.mortbay.jetty.HandlerContainer` | `getContexts()`
`String` | `getDefaultsDescriptor()`
`String[]` | `getServerClasses()`
`String[]` | `getSystemClasses()`
`String` | `getWebAppDir()`
`boolean` | `isExtract()`
`boolean` | `isParentLoaderPriority()`
`void` | `scan()` Scan for webapplications.
`void` | `setAllowDuplicates(boolean allowDuplicates)`
`void` | `setConfigurationClasses(String[] configurationClasses)`
`void` | `setContexts(org.mortbay.jetty.HandlerContainer contexts)`
`void` | `setDefaultsDescriptor(String defaultsDescriptor)`
`void` | `setExtract(boolean extract)`
`void` | `setParentLoaderPriority(boolean parentPriorityClassLoading)`
`void` | `setServerClasses(String[] serverClasses)`
`void` | `setSystemClasses(String[] systemClasses)`
`void` | `setWebAppDir(String dir)`

Methods inherited from class org.mortbay.component.AbstractLifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebAppDeployer

    public WebAppDeployer()

Method Detail

### getConfigurationClasses

    public String[] getConfigurationClasses()

### setConfigurationClasses

    public void setConfigurationClasses(String[] configurationClasses)

### getContexts

    public org.mortbay.jetty.HandlerContainer getContexts()

### setContexts

    public void setContexts(org.mortbay.jetty.HandlerContainer contexts)

### getDefaultsDescriptor

    public String getDefaultsDescriptor()

### setDefaultsDescriptor

    public void setDefaultsDescriptor(String defaultsDescriptor)

### isExtract

    public boolean isExtract()

### setExtract

    public void setExtract(boolean extract)

### isParentLoaderPriority

    public boolean isParentLoaderPriority()

### setParentLoaderPriority

    public void setParentLoaderPriority(boolean parentPriorityClassLoading)

### getWebAppDir

    public String getWebAppDir()

### setWebAppDir

    public void setWebAppDir(String dir)

### getAllowDuplicates

    public boolean getAllowDuplicates()

### setAllowDuplicates

    public void setAllowDuplicates(boolean allowDuplicates)

  Parameters:
    `allowDuplicates` - If false, do not deploy webapps that have already been deployed or duplicate context path

### getServerClasses

    public String[] getServerClasses()

### setServerClasses

    public void setServerClasses(String[] serverClasses)

### getSystemClasses

    public String[] getSystemClasses()

### setSystemClasses

    public void setSystemClasses(String[] systemClasses)

### doStart

    public void doStart()
                 throws Exception

  Overrides:
    `doStart` in class `org.mortbay.component.AbstractLifeCycle`
  Throws:
    `Exception`

### scan

    public void scan()
              throws Exception

  Scan for webapplications.

  Throws:
    `Exception`

### doStop

    public void doStop()
                throws Exception

  Overrides:
    `doStop` in class `org.mortbay.component.AbstractLifeCycle`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.